Gdk Gtk предупреждения и ошибки из командной строки

70

В новейшей версии Ubuntu (11.10), когда я запускаю из командной строки, Gtk громко жалуется (по нескольким строкам) каждый раз, когда открывается окно. Проблема явно связана с темой - если я изменю значение по умолчанию от Ambiance до High-Contrast , это исчезнет. Некоторые примеры:

[email protected]:~$ emacs foo.txt
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
(emacs:1550): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

[email protected]:~$ evince test.pdf 
(evince:1566): GLib-GObject-WARNING **: g_object_set_valist: construct property "enable-gestures" for object 'EvView' can't be set after construction
(evince:1566): Gdk-CRITICAL **: gdk_window_get_pointer: assertion 'GDK_IS_WINDOW (window)' failed
(evince:1566): Gdk-CRITICAL **: gdk_window_get_pointer: assertion 'GDK_IS_WINDOW (window)' failed
(evince:1566): Gdk-CRITICAL **: gdk_window_get_pointer: assertion 'GDK_IS_WINDOW (window)' failed

Мне нравятся темы, и я не хочу расставаться с ними. Как я могу исправить многословие командной строки из Gtk? Я могу просто взломать командную строку, чтобы отфильтровать эти сообщения, но мне действительно не нравится эта идея.

Возможно связанный

Из предыдущей версии: Как избавиться от нечетной строки ошибки ...

    
задан Hooked 14.10.2011 в 20:31
источник

1 ответ

98

Сообщения Unable to locate theme engine in module_path: "pixmap"  являются известными ошибкой .

Чтобы исправить это, установите gtk2-engines-pixbuf пакет

Предупреждения, которые вы получаете от запуска Evince, являются отдельной ошибкой . Пока не знаю, насколько это возможно.

    
ответ дан Isaiah 14.10.2011 в 20:45
источник